Soft delete of issues
2010-10-14 09:17 - leigh gawne

Status: New Start date: 2010-10-14
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version:
Resolution:
Description

Currently, deleting issues from the system results in their permanent deletion from the Remine database. From a tracability
perspective, this is not ideal. Perhaps a setting to decide whether deleting na issue should hard delete it from the database, or soft
delete it (such that it is recoverable through some mechanism) would be useful. In the case of soft deletions, you could also have an
administrator option to "purge" the database of soft deletions, essesntially hard deleting them.

Related issues:
Related to Redmine - Feature # 1380: Deleting an issue only marks it as being... New 2008-06-05
Related to Redmine - Feature # 7900: Restore issue New 2011-03-17
Related to Redmine - Feature # 18027: Notification when deleting an issue New
Duplicated by Redmine - Feature # 8942: Soft deletion of ticket Reopened 2011-07-29
Duplicated by Redmine - Defect # 12585: About the deleted Issues Closed
Duplicated by Redmine - Feature # 16465: Feature needed to show deleted track... Closed
Duplicated by Redmine - Feature # 21618: Seperation of delete with physical d... Closed

History
#1 - 2010-10-14 19:27 - Felix Schäfer

You can use a status called "rejected" for example for issues that were not acted upon but that should not be deleted.

#2 - 2010-10-25 18:20 - Anonymous

I think he means that they would be removed from the users view (a rejected issue would still appear with strike out) and the admin can bring it back.
Kind of like a trash bin for issues.

I agree a bit with the safety buffer, but I solved it mostly by disallowing anyone but admins to delete issues...

#3 - 2010-10-27 01:45 - Doug Barth

We accidentally had one of our issues permanently deleted. I disabled the delete issue option for now, but I second the request for a soft delete within
the system.

#4 - 2011-03-24 08:46 - Toshi MARUYAMA
- Category set to Issues

#5 - 2011-07-31 15:18 - Terence Mill

+1
#6 - 2011-08-23 15:08 - Pierluigi Soana

+1

#7 - 2011-08-23 19:40 - wilson l

+1

#8 - 2011-09-15 16:08 - Stas Pozdnyakov

+1

#9 - 2011-09-16 03:07 - Wicola Lation

+1

#10 - 2012-03-12 03:34 - Fares Abdullah

+1

This caused a small crisis for us. We couldn't easily roll back to the last hourly backup either, as we'd lose all new changes in the last hour.

The "delete" button is too easy to hit as an admin in a moment of distraction thinking you cliked another button: "click - press enter - poof gone". See
#8942

#11 - 2013-01-24 17:17 - Deoren Moor

+1

Had someone do this today and it would have been great to have this feature to fall back on.

#12 - 2013-09-03 23:13 - Michelle H

+1

#13 - 2013-10-14 08:33 - mnredmine mnredmine

Fares Abdullah wrote:

The "delete" button is too easy to hit as an admin in a moment of distraction thinking you cliked another button: "click - press enter - poof gone".

Exactly! I did this on friday. I know It's my fault but who on earth has designed such an awful UI and no "trash bin"?

+1
#14 - 2013-11-08 14:40 - Lázaro Hermoso

+1. It is useful in case of deletion mistake and shit happens.

Additional related issues:
#1380
#7900

#15 - 2013-11-30 05:00 - Toshi MARUYAMA
- Related to Feature #1380: Deleting an issue only marks it as being deleted added

#16 - 2013-11-30 05:01 - Toshi MARUYAMA
- Related to Feature #7900: Restore issue added

#17 - 2014-01-05 16:19 - Andrew X

Lázaro Hermoso wrote:

+1. It is useful in case of deletion mistake and shit happens.

Additional related issues:
#1380
#7900

Hard to believe this issue is still open. Here a comment in a issue was the intention of the deletion, and the whole issue ended up deleted. No-rollback,
un-delete, soft-delete? Def useful option. No neg on the RM UI, it just requires a little tweak.

#18 - 2014-03-17 13:49 - Luciano Barcellos

+1. I've just joined the group of those who made a deletion mistake. I was trying to remove just a comment, too.

#19 - 2014-03-29 15:51 - Jean-Philippe Lang
- Duplicates Feature #16465: Feature needed to show deleted tracker & can add them again added

#20 - 2014-03-29 15:51 - Jean-Philippe Lang
- Duplicates deleted (Feature #16465: Feature needed to show deleted tracker & can add them again)

#21 - 2014-03-29 15:51 - Jean-Philippe Lang
- Duplicated by Feature #16465: Feature needed to show deleted tracker & can add them again added

#22 - 2014-04-02 11:27 - Kevin Palm

+1

#23 - 2014-04-03 15:00 - Anonymous

+1
#24 - 2014-06-06 12:04 - Igor Panassiouk

Useful and sometimes necessary feature.

I use many roles in my installations and "Project Manager" and/or "Project Admin" should have a permission to delete issue.
But for QA and audit purposes I'd prefer to restore and move such issues to special project, for example.

#25 - 2014-06-19 17:32 - Jose Daniel Narvaez Bauste

+1

#26 - 2014-10-03 16:18 - Toshi MARUYAMA
- Related to Feature #18027: Notification when deleting an issue added

#27 - 2015-05-05 21:57 - Rob Taft

+1 Just accidentally deleted a ticket thinking I was deleting a duplicate comment.  There was no division between the last comment and the delete.

#28 - 2015-07-21 11:11 - Matthew Palencia

I hope this will be fixed. 
Had a bad time this 'delete' button today. 
It looks like delete a comment, but it deleted the whole issue, 
the bad thing it's physical delete :(

#29 - 2015-07-21 23:08 - pee pee

+1

I thought the delete button was for the update (it is located under the last update!!) and whoops my whole issue and al its updates are gone!!
please fix!!

another tip/request: the "edit" button should better be called "update", I initially thought it was for editing the issue descrition (the first colored part of the
issue, before the updates)

tx!!

#30 - 2015-12-30 10:48 - Go MAEDA
- Duplicated by Feature #21618: Seperation of delete with physical delete  added

#31 - 2016-02-18 03:49 - Anh Le Giang

+1

#32 - 2017-01-19 17:40 - Fred B

How can we emphasize more.. This needs to be fixed.
I just lost 3 issues and there nos way top know wjhat happen and restore them back!

+!1!!

#33 - 2017-04-20 16:33 - Maicon Zucco

+1

#34 - 2017-07-19 15:59 - Ignacio Soler

+1!

added 7 years ago ... it's starting to stink ...

#35 - 2017-09-19 10:12 - Jason Togneri

+1, I've also done the deleted comment thing where I deleted an issue by mistake (only once so far though). Would love to see this feature, or at least
a safety mechanism of some sort. Any hope?

#36 - 2017-11-12 04:56 - Karl Wilbur

It seems that this is a duplicate of #1380, which itself is over 9 years old.

#37 - 2019-05-20 11:28 - Piotr Błądek

+1
